div.cookiefox {
  --cookiefox--color-text-contrast: var(--wp--preset--color--primary);
  --cookiefox--color-text-secondary: var(--wp--preset--color--primary);
  --cookiefox--color-button-primary: var(--wp--preset--color--primary);
  --cookiefox--color-button-secondary: var(--wp--preset--color--primary);
  --cookiefox--background: var(--wp--preset--color--base);
  --cookiefox--font-family: inherit;
  --cookiefox--font-size: var(--wp--preset--font-size--small);
  --cookiefox--font-size-mobile: var(--wp--preset--font-size--small);
  --cookiefox--line-height: inherit;
  --cookiefox__notice--box-shadow: 0px 0px 15px rgba(0,0,0,0.1);
  --cookiefox__modal--border-radius: 5px;
  --cookiefox__title--font-family: inherit;
  --cookiefox__title--font-size: var(--wp--preset--font-size--medium);
  --cookiefox__title--font-weight: var(--wp--custom--font-weight--bold);
  --cookiefox__text--font-size: var(--wp--preset--font-size--normal);
  --cookiefox__text--font-weight: inherit;
  --cookiefox__text--text-align: left;
  --cookiefox__button--font-size: var(--wp--preset--font-size--small);
  --cookiefox__button--font-weight: var(--wp--custom--font-weight--medium);
  --cookiefox__button--text-transform: none;
  --cookiefox__button--border-radius: 5px;
  --cookiefox__button--letter-spacing: inherit;
  --cookiefox__footer--background: rgba(0,0,0,0.025);
  --cookiefox__footer--color-border: rgba(0,0,0,0.05);
  --cookiefox__embed--background: var(--wp--preset--color--border-light);
  --cookiefox__embed--border-color: var(--wp--preset--color--border-light);
  box-sizing: border-box;
  font-size: var(--cookiefox--font-size);
  font-family: var(--cookiefox-font-family);
  line-height: var(--cookiefox--line-height);
  color: var(--cookiefox--color-text-primary);
}
.cookiefox *,
.cookiefox ::after,
.cookiefox ::before {
  box-sizing: inherit;
}
.cookiefox a:focus,
.cookiefox button:focus,
.cookiefox input:focus,
.cookiefox input[type="checkbox"]:focus,
.cookiefox summary:focus {
  outline-offset: 2px;
  outline: 1px dotted var(--cookiefox--color-text-primary);
}
.cookiefox a:focus:not(:focus-visible),
.cookiefox button:focus:not(:focus-visible),
.cookiefox input:focus:not(:focus-visible),
.cookiefox input[type="checkbox"]:focus:not(:focus-visible),
.cookiefox summary:focus:not(:focus-visible) {
  outline: 0;
}
.cookiefox--banner.cookiefox--simple .cookiefox__spacer,
.cookiefox--notice {
  display: none;
}
.cookiefox--banner,
.cookiefox--modal {
  position: fixed;
  z-index: 99999;
  bottom: 0;
  left: 0;
  width: 100%;
  overflow: auto;
}
.cookiefox--banner {
  max-height: 100%;
  -ms-scroll-chaining: none;
  overscroll-behavior: contain;
  background: var(--cookiefox--background);
  box-shadow: var(--cookiefox__notice--box-shadow);
}
.cookiefox--banner .cookiefox__inner {
  width: 100%;
}
.cookiefox--banner .cookiefox__categories,
.cookiefox--banner .cookiefox__meta {
  justify-content: flex-start;
}
.cookiefox--banner .cookiefox__body {
  padding: 28px 24px 7px;
}
.cookiefox--banner .cookiefox__footer {
  padding: 7px 24px 28px;
  display: flex;
  justify-content: flex-end;
}
.cookiefox--banner .cookiefox__spacer {
  display: block;
  flex: 1;
}
.cookiefox--modal {
  height: 100%;
  align-items: center;
  justify-content: center;
  background-color: #000;
  background-color: rgba(0, 0, 0, 0.55);
  padding: 10px;
}
.cookiefox--modal .cookiefox__inner {
  overflow: auto;
  -ms-scroll-chaining: none;
  overscroll-behavior: contain;
  max-height: 100%;
  max-width: 680px;
  background: var(--cookiefox--background);
  border-radius: var(--cookiefox__modal--border-radius);
  box-shadow: var(--cookiefox__notice--box-shadow);
  scroll-padding-bottom: 65px;
}
.cookiefox--modal .cookiefox__inner .cookiefox__footer {
  display: flex;
  flex-wrap:wrap;
  gap: var(--wp--preset--spacing--small);
  justify-content: flex-start;
  padding: 14px 24px;
  position: -webkit-sticky;
  position: sticky;
  bottom: 0;
  left: 0;
  width: 100%;
  background: var(--cookiefox--background);
}
.cookiefox--modal .cookiefox__inner .cookiefox__footer:after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-top: 1px solid var(--cookiefox__footer--color-border);
  background: var(--cookiefox__footer--background);
  z-index: -1;
}
.cookiefox--modal .cookiefox__inner .cookiefox__spacer {
  flex: 1;
  height: 1px;
}
.cookiefox--modal .cookiefox__inner .cookiefox__body {
  padding: 26px 24px 22px;
}
.cookiefox--modal .cookiefox__title {
  text-align: center;
  margin-bottom: 0.6875em;
}
.cookiefox--modal .cookiefox__categories,
.cookiefox--modal .cookiefox__meta {
  justify-content: center;
}
.cookiefox__title {
  font-family: var(--cookiefox__title--font-family);
  font-size: var(--cookiefox__title--font-size);
  font-weight: var(--cookiefox__title--font-weight);
  margin: 0 0 0.5em;
}
.cookiefox__text {
  font-family: var(--cookiefox-font-family);
  font-size: var(--cookiefox__text--font-size);
  font-weight: var(--cookiefox__text--font-weight);
  text-align: var(--cookiefox__text--text-align);
}
.cookiefox__text a {
  text-decoration: underline;
  color: var(--cookiefox--color-text-primary);
}
.cookiefox__text a:visited {
  color: inherit;
}
.cookiefox__text a:hover {
  text-decoration: none;
  color: var(--cookiefox--color-text-primary);
}
.cookiefox__categories {
  margin: 2.25em -0.75em -1.25em;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
.cookiefox__category {
  margin: 0 0.75em 1.25em;
}
.cookiefox__category-label {
  display: flex;
  align-items: center;
  font-size: var(--cookiefox__text--font-size);
  line-height: 1;
  color: var(--cookiefox--color-text-primary);
  font-weight: 700;
  text-transform: none;
  margin: 0;
  cursor: pointer;
}
.cookiefox__category-label.is-disabled {
  cursor: not-allowed;
}
input[type="checkbox"].cookiefox__category-checkbox {
  -webkit-appearance: none;
  position: relative;
  width: 1.325em;
  height: 1.325em;
  display: block;
  margin: 0 0.45em 0 0;
  padding: 0 !important;
  border: 2px solid currentColor;
  background: var(--cookiefox--background);
  transition: border-color 0.15s ease-in-out;
  cursor: inherit;
  border-radius: 2px;
  box-shadow: none;
  top: 0;
  left: 0;
}
input[type="checkbox"].cookiefox__category-checkbox:after {
  content: "";
  opacity: 0;
  display: block;
  left: 0.355em;
  top: 0.085em;
  position: absolute;
  width: 0.4em;
  height: 0.7em;
  border: 2.25px solid var(--cookiefox--color-button-primary);
  border-top: 0;
  border-left: 0;
  transform: rotate(32deg);
  transition: opacity 0.1s ease-in-out;
}
input[type="checkbox"].cookiefox__category-checkbox:before {
  content: none;
}
input[type="checkbox"].cookiefox__category-checkbox:checked {
  border-color: var(--cookiefox--color-button-primary);
}
input[type="checkbox"].cookiefox__category-checkbox:checked:after {
  opacity: 1;
}
input[type="checkbox"].cookiefox__category-checkbox:disabled {
  opacity: 0.65;
}
.cookiefox__meta {
  margin-top: 1em;
  display: flex;
  justify-content: center;
  align-items: center;
}
.cookiefox__spinner {
  text-align: center;
  margin: 1.5em 0;
}
.cookiefox__spinner svg {
  height: auto;
  width: 40px;
  stroke: currentColor;
}
.cookiefox__details {
  margin: 1.5em 0 0;
}
.cookiefox__details-category {
  margin: 0 0 1em;
  border: 1px solid var(--cookiefox__footer--color-border);
  background: var(--cookiefox__footer--background);
  padding: 1em;
  border-radius: 4px;
}
.cookiefox__details-category:last-child,
.cookiefox__table:last-child,
.cookiefox__text h1:last-child,
.cookiefox__text h2:last-child,
.cookiefox__text h3:last-child,
.cookiefox__text h4:last-child,
.cookiefox__text h5:last-child,
.cookiefox__text h6:last-child,
.cookiefox__text ol:last-child,
.cookiefox__text p:last-child,
.cookiefox__text table:last-child,
.cookiefox__text ul:last-child {
  margin-bottom: 0;
}
.cookiefox__details-description,
.cookiefox__details-more {
  font-size: 0.875em;
  margin: 1em 0 0;
}
.cookiefox__details-summary {
  cursor: pointer;
  position: relative;
  display: flex;
  align-items: center;
}
.cookiefox__details-summary::-webkit-details-marker {
  display: none;
}
.cookiefox__details-summary:before {
  display: block;
  content: "";
  width: 0.375em;
  height: 0.375em;
  border: 2px solid currentColor;
  border-top: 0;
  border-left: 0;
  transform: rotate(315deg);
  margin: 0 0.5em 0 0;
}
.cookiefox__details-more[open] .cookiefox__details-summary:before {
  transform: rotate(45deg);
}
.cookiefox__details-cookies {
  margin: 0.75em 0 0;
}
.cookiefox__table {
  width: 100%;
  border-collapse: collapse;
  margin: 0 0 1em;
}
.cookiefox__td,
.cookiefox__th {
  padding: 0.35em 0.75em;
  border: 1px solid currentColor;
  text-align: left;
}
.cookiefox__th {
  font-weight: 700;
  font-size: 1em;
  width: 115px;
}
.cookiefox__td {
  font-weight: 400;
  font-size: 1em;
}
.cookiefox__text h1,
.cookiefox__text h2,
.cookiefox__text h3,
.cookiefox__text h4,
.cookiefox__text h5,
.cookiefox__text h6,
.cookiefox__text ol,
.cookiefox__text p,
.cookiefox__text table,
.cookiefox__text ul {
  margin: 0 0 1.25em;
}
.cookiefox__button {
  font-family: inherit;
  text-decoration: none;
  font-size: var(--cookiefox__button--font-size);
  font-weight: var(--cookiefox__button--font-weight);
  text-transform: var(--cookiefox__button--text-transform);
  cursor: pointer;
  border-radius: var(--cookiefox__button--border-radius);
  letter-spacing: var(--cookiefox__button--letter-spacing);
  line-height: var(--cookiefox--line-height);
  box-shadow: none;
  transition:
    background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out;
}
.cookiefox__button.is-button {
  padding: 0.6em 1em;
}
.cookiefox__button.is-text {
  padding: 0.6em 0;
  border: none;
}
.cookiefox__button.is-medium {
  font-size: 0.875em;
}
.cookiefox__button:hover {
  text-decoration: none !important;
}
.cookiefox__button--primary.is-button,
.cookiefox__button--secondary.is-button {
  background-color: var(--cookiefox--color-button-primary) !important;
  color: var(--cookiefox--background) !important;
  border: 1px solid var(--cookiefox--color-button-secondary) !important;
}
.cookiefox__button--secondary.is-button {
  background-color: var(--cookiefox--color-button-secondary) !important;
}
.cookiefox__button--secondary.is-text {
  border: 1px solid transparent !important;
  background-color: transparent !important;
  color: var(--cookiefox--color-text-secondary) !important;
  transition: color 0.15s ease-in-out;
}
.cookiefox__footer .cookiefox__button:nth-of-type(2) {
  color: var(--wp--preset--color--primary) !important;
  background-color: var(--wp--preset--color--base) !important;
  border: none !important;
  outline: 2px solid currentColor;
  outline-offset: -2px;
}
.cookiefox__embed {
  background-color: var(--cookiefox__embed--background);
  border: 1px solid var(--cookiefox__embed--border-color);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.cookiefox__embed:first-child:last-child {
  height: 100%;
}
.wp-embed-responsive .wp-has-aspect-ratio .cookiefox__embed {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  height: 100%;
  width: 100%;
}
.cookiefox__embed .cookiefox__embed-notice {
  padding: 2em 2.5em;
}
.cookiefox__embed .cookiefox__embed-footer {
  margin-top: 1.25em;
}
@media (max-width: 640px) {
  .cookiefox {
    font-size: var(--cookiefox--font-size-mobile);
  }
  .cookiefox--modal .cookiefox__inner .cookiefox__footer {
    padding: 8px 14px;
  }
  .cookiefox--modal .cookiefox__inner .cookiefox__body {
    padding: 16px 14px;
  }
  .cookiefox__button--primary,
  .cookiefox__button--secondary {
    padding-top: 0.75em;
    padding-bottom: 0.75em;
  }
}
@media (min-width: 1024px) {
  .cookiefox--banner .cookiefox__inner .cookiefox__body {
    flex: 1;
    align-self: center;
  }
}
@media (max-width: 1024px) {
  .cookiefox--banner .cookiefox__categories,
  .cookiefox--banner .cookiefox__meta {
    justify-content: center;
  }
  .cookiefox--banner .cookiefox__body {
    padding: 18px 14px 7px;
  }
  .cookiefox--banner .cookiefox__footer {
    padding: 7px 14px 18px;
  }
  .cookiefox--banner .cookiefox__title {
    text-align: center;
  }
}